Gloc problem

Hi!
I am new with ruby and with rails.
I have installed Gloc plugin from the svn but when I try to run webrick
server I get this error:

C:/Programmi/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/dependencies.rb:266:in
load_missing_constant': uninitialized constant GLoc (NameError) from C:/Programmi/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/dependencies.rb:452:inconst_missing’
from
C:/Programmi/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/dependencies.rb:464:in
const_missing' from ./script/../config/../config/environment.rb:16 from C:/Programmi/ruby/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/initializer.rb:41:inrun’
from ./script/…/config/…/config/environment.rb:13
from
C:/Programmi/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
gem_original_require' from C:/Programmi/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:inrequire’
from
C:/Programmi/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/dependencies.rb:495:in
require' ... 8 levels... from C:/Programmi/ruby/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/commands/server.rb:39 from C:/Programmi/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:ingem_original_require’
from
C:/Programmi/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`require’
from script/server:3

Can someone help me?
Thanks!

Carol wrote:

Hi!
I am new with ruby and with rails.
I have installed Gloc plugin from the svn but when I try to run webrick
server I get this error:

C:/Programmi/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/dependencies.rb:266:in
load_missing_constant': uninitialized constant GLoc (NameError) from C:/Programmi/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/dependencies.rb:452:inconst_missing’
from
C:/Programmi/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/dependencies.rb:464:in
const_missing' from ./script/../config/../config/environment.rb:16 from C:/Programmi/ruby/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/initializer.rb:41:inrun’
from ./script/…/config/…/config/environment.rb:13
from
C:/Programmi/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
gem_original_require' from C:/Programmi/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:inrequire’
from
C:/Programmi/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/dependencies.rb:495:in
require' ... 8 levels... from C:/Programmi/ruby/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/commands/server.rb:39 from C:/Programmi/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:ingem_original_require’
from
C:/Programmi/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`require’
from script/server:3

Can someone help me?
Thanks!

Don’t put GLoc configuration inside Rails::Initializer.run do |config|
block

Sorry for my english

Martin

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs